# This file created by conda-build 3.27.0
# meta.yaml template originally from:
# /work/perseverance-python-buildout/aggregate/platformdirs-feedstock/recipe, last modified Fri Dec  1 21:41:55 2023
# ------------------------------------------------

package:
  name: platformdirs
  version: 3.10.0
source:
  sha256: b45696dab2d7cc691a3226759c0d3b00c47c8b6e293d96f6436f733303f77f6d
  url: https://pypi.io/packages/source/p/platformdirs/platformdirs-3.10.0.tar.gz
build:
  number: '0'
  script: /work/perseverance-python-buildout/croot/platformdirs_1701732622973/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_/bin/python
    -m pip install . --no-deps --no-build-isolation -vv
  string: py312hd43f75c_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - bzip2 1.0.8 hfd63f10_2
    - ca-certificates 2023.08.22 hd43f75c_0
    - editables 0.3 py312hd43f75c_0
    - expat 2.5.0 h419075a_0
    - hatch-vcs 0.3.0 py312hd43f75c_1
    - hatchling 1.18.0 py312hd43f75c_1
    - ld_impl_linux-aarch64 2.38 h8131f2d_1
    - libffi 3.4.4 h419075a_0
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h998d150_0
    - ncurses 6.4 h419075a_0
    - openssl 3.0.12 h2f4d8fa_0
    - packaging 23.1 py312hd43f75c_0
    - pathspec 0.10.3 py312hd43f75c_0
    - pip 23.3.1 py312hd43f75c_0
    - pluggy 1.0.0 py312hd43f75c_1
    - python 3.12.0 h8edadfe_0
    - readline 8.2 h998d150_0
    - setuptools 68.0.0 py312hd43f75c_0
    - setuptools-scm 7.1.0 py312hd43f75c_1
    - sqlite 3.41.2 h998d150_0
    - tk 8.6.12 h241ca14_0
    - trove-classifiers 2023.10.18 py312hd43f75c_0
    - typing-extensions 4.7.1 py312hd43f75c_0
    - typing_extensions 4.7.1 py312hd43f75c_0
    - tzdata 2023c h04d1e81_0
    - wheel 0.41.2 py312hd43f75c_0
    - xz 5.4.5 h998d150_0
    - zlib 1.2.13 h998d150_0
  run:
    - python >=3.12,<3.13.0a0
test:
  commands:
    - pip check
    - pytest tests -vv
  imports:
    - platformdirs
  requires:
    - appdirs
    - pip
    - pytest
    - pytest-mock
  source_files:
    - tests
about:
  description: 'About A small Python module for determining appropriate

    platform-specific dirs, e.g. a "user data dir".

    '
  dev_url: https://github.com/platformdirs/platformdirs
  doc_url: https://platformdirs.readthedocs.io/
  home: https://github.com/platformdirs/platformdirs
  license: MIT
  license_family: MIT
  license_file: LICENSE
  summary: A small Python module for determining appropriate platform-specific dirs,
    e.g. a "user data dir".
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - adament
    - gaborbernat
